打印

有没有人啊,安装lnmp1.1,php安装失败

有没有人啊,安装lnmp1.1,php安装失败

大神帮忙看看,错误ext/date/php_date.o: could not read symbols: File in wrong formatcollect2: ld returned 1 exit statusmake: *** [sapi/fpm/php-fpm] Error 1Copy new php configure file.Modify php.ini......Install ZendGuardLoader for PHP 5.3--2017-08-28 14:40:56--  http://soft.vpser.net/web/zend/ZendGuardLoader-php-5.3-linux-glibc23-x86_64.tar.gzResolving soft.vpser.net... 117.34.112.38, 2604:a880:1:20::5f9:4001Connecting to soft.vpser.net|117.34.112.38|:80... connected.HTTP request sent, awaiting response... 416 Requested Range Not Satisfiable    The file is already fully retrieved; nothing to do.Write ZendGuardLoader to php.ini......Creating new php-fpm configure file......Copy php-fpm init.d file......

TOP

Error: /usr/local/php not found!!!PHP install failed.
Sorry,Failed to install LNMP!

查看日志文件有这样的错误:
ext/date/php_date.o: could not read symbols: File in wrong format
collect2: ld returned 1 exit status
make: *** [sapi/fpm/php-fpm] Error 1

TOP

这是安装日志,因为服务器之前安装了mysql,又不能卸载,所以手动删除了mysql的安装,有没有大神帮忙看一下,为什么?
附件: 您所在的用户组无法下载或查看附件

TOP

不清楚什么原因
只按错误信息说的话可能是64位系统上编译,但是程序确使用了32位的编译器
如果是复制的其他机器上的安装包的目录,需要删除后重新下载进行安装

TOP